View Issue Details

IDProjectCategoryView StatusLast Update
0002098SOGoWeb Calendarpublic2012-11-26 15:08
Reporterwimmer Assigned Tofrancis  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version2.0.2 
Target Version2.0.3Fixed in Version2.0.3 
Summary0002098: All day event displayed incorrectly in Day View
Description

When I create an "All day Event" (within Sogo WebGUI or within Lightning), it is displayed correctly in the "Month View" and "Week View", but it is displayed as a two day event in the "Day View".

TagsNo tags attached.

Activities

lemeurt

lemeurt

2012-11-13 09:53

reporter   ~0004839

Confirmed, even with the latest version from the Git master branch.

ludovic

ludovic

2012-11-17 16:30

administrator   ~0004873

Specify your timezone set in SOGo's preferences and the date you created that event.

wimmer

wimmer

2012-11-17 17:19

reporter   ~0004875

<key>SOGoTimeZone</key>
<string>Europe/Prague</string>

and this is the same setting which I have in my User Preferences in SOGo Web Calendar.
All-day Event is created in SOGo Web Calendar for Nov-19 and is displayed in Nov-19 and Nov-20 in the Day View.

ludovic

ludovic

2012-11-17 17:27

administrator   ~0004876

I can reproduce the issue with the values you provided, thanks.

francis

francis

2012-11-26 14:51

administrator   ~0004986

Can you try this patch?

diff --git a/UI/Scheduler/UIxCalListingActions.m b/UI/Scheduler/UIxCalListingActions.m
index 8ef47f0..0e37d3b 100644
--- a/UI/Scheduler/UIxCalListingActions.m
+++ b/UI/Scheduler/UIxCalListingActions.m
@@ -723,6 +723,11 @@ _userStateInEvent (NSArray *event)
if (eventEnd > endsSecs)
eventEnd = endsSecs;

  • if (eventEnd < startSecs)
  • // The event doesn't end in the covered period.
  • // This special case occurs with a DST change.
  • return;
  •        userState = _userStateInEvent (event);
           while (currentDayStart + dayLength &lt; eventEnd)
             {
lemeurt

lemeurt

2012-11-26 15:04

reporter   ~0004987

This patch fixes the issue for me (patch applied against the latest git master branch)

francis

francis

2012-11-26 15:08

administrator   ~0004988

Fixed.

See https://github.com/inverse-inc/sogo/commit/3e8f7cb29ea5034554669dd87d9f210903440b3d

Issue History

Date Modified Username Field Change
2012-11-09 14:56 wimmer New Issue
2012-11-13 09:53 lemeurt Note Added: 0004839
2012-11-14 12:05 francis Target Version => 2.0.3
2012-11-17 16:30 ludovic Note Added: 0004873
2012-11-17 17:19 wimmer Note Added: 0004875
2012-11-17 17:27 ludovic Note Added: 0004876
2012-11-26 14:51 francis Note Added: 0004986
2012-11-26 15:04 lemeurt Note Added: 0004987
2012-11-26 15:08 francis Note Added: 0004988
2012-11-26 15:08 francis Status new => resolved
2012-11-26 15:08 francis Fixed in Version => 2.0.3
2012-11-26 15:08 francis Resolution open => fixed
2012-11-26 15:08 francis Assigned To => francis